Page MenuHomeFreeBSD

Mk/uses/mysql.mk: Prepare for MariaDB 10.2
ClosedPublic

Authored by brnrd on Mar 19 2017, 8:53 PM.

Details

Summary
Mk/uses/mysql.mk: Prepare for MariaDB 10.2

 - Transform _LIBVER assignments to for loop
 - Add LIBVER for MariaDB 10.2
 - Add _MYSQL_SHLIB parameter, MariaDB 10.2 uses libmariadb
 - Change LIB_DEPENDS to use new _MYSQL_LIBVER parameter
 - Generate correct PKGNAME in WARNING and IGNORE messages

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brnrd created this revision.Mar 19 2017, 8:53 PM
brnrd updated this revision to Diff 28742.May 24 2017, 6:57 AM

Make error-messages contain the correct port-name

brnrd edited the summary of this revision. (Show Details)May 24 2017, 8:49 AM
mmokhi edited edge metadata.May 25 2017, 3:53 PM

To me it seems good idea, I haven't applied/tested the patch yet though.
Shouldn't we also change Makefiles of mysql variants to make it work?

mmokhi accepted this revision.May 26 2017, 4:22 PM

Okay, with changes applied I successfully built mysql57 without anything bad happening.
Seems good to me ๐Ÿ˜„

Macro lgtm:

This revision was automatically updated to reflect the committed changes.